OpenBSD: Fatal: building ports requires correctly installed X11

При попытке сборки Vim выдало следующую ошибку:

# make WITHOUT_X11=yes NO_GUI=yes install clean
Fatal: building ports requires correctly installed X11 (in editors/vim)
*** Error 1 in /usr/ports/editors/vim (/usr/ports/infrastructure/mk/bsd.port.mk:3451 '.BEGIN': @exit 1)

Данная ошибка лечится легко созданием симлинка на файл (он был удалян из релиза, но еще требуется портами):

ln -s /usr/X11R6/man/mandoc.db /usr/X11R6/man/whatis.db
Dmytro Prokhorenkov avatar
About Dmytro Prokhorenkov
comments powered by Disqus